Package: org.codehaus.groovy.control

## [Java] Class ProgressCallback

- org.codehaus.groovy.control.CompilationUnit.ProgressCallback

- A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `call(ProcessingUnit context, int phase)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void call(ProcessingUnit context, int phase)